﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.UserLogin
@{
    ViewData["Title"] = "Index";
}

@*@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
    {
        <script>
            toastr.success('@TempData["success"]');
        </script>
    }
    else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
    {
        <script>
            toastr.error('@TempData["error"]');
        </script>
    }*@

<script src="~/Script/ApplicationManagement/OrganizationUsers.js"></script>

<script>
    $(document).ready(function () {
        $('#invalid_email').hide();
        $('.chosen-select').chosen();
        $("#t_CanAccess").multiselect({
            enableFiltering: true,
            includeSelectAllOption: true
        });
    })
</script>

<style>
    a:hover {
        color: white;
    }

    .Lastpwd {
        height: 28px;
    }

    span.icon img {
        width: 18px;
        height: 16px;
        margin-top: 9px;
        cursor: pointer;
    }
</style>
<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Current Users
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="AccountManagement" asp-area="ApplicationManagement">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <label class="required">Select Organization</label>
                            <div class="select_box m_bottom">
                                @Html.DropDownListFor(m => m.OrgID, Model.DdlParentOrg, "Select an Option", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_ShowFun()" })
                            </div>
                        </div>
                    </div>
                    <div style="display:none" id="DivMain">
                        <div class="row">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="addbtn">
                                    <div class="add_litigation">
                                        <span>+</span>
                                        <input type="button" name="add User" onclick="fn_openPopup()" value="Add User">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row" style="padding-top:15px">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="table_control">
                                    <table id="tblOrgUsers" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width: 70px;">SN</th>
                                                <th>Username</th>
                                                <th>User ID</th>
                                                <th>Provide Access to</th>
                                                <th style="width:150px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="5" class="text-center"> No record found..</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        @*<form id="form" method="post" asp-action="SaveOrganizationUser" asp-controller="OrganizationUser"
            data-ajax="true"
            data-ajax-method="POST"
            data-ajax-mode="replace"
            data-loading-text="loading..."
            data-ajax-update="#ajaxresult"
            data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/OrganizationUser/Index');"
            data-ajax-failure="Errmsg(data);">*@
        @Html.HiddenFor(m => m.CanAccess)
        @Html.HiddenFor(m => m.PasswordNew)
        @Html.HiddenFor(m => m.t_UserIDNew)
        @Html.HiddenFor(m => m.Id)
        @Html.HiddenFor(m => m.OrganizationId)
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-2" id="title">
                CREATE NEW USER
            </div>
            <div class="modal-body">
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("User Name")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.UserName, new { @class = "form-control m_no", onblur = "generateUserID()" })
                    </div>
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("User ID")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_UserID, new { @class = "form-control m_no", disabled = "disabled" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Email")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.Email, new { @class = "form-control m_no", onblur = "generatePassword(8);generateEmail(this)", required = "required" })
                        <span class="error" id="invalid_email">Email-id is invalid</span>
                    </div>
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Password")
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <input type="password" asp-for="Password" class="form-control m_no" disabled="disabled" />
                    </div>
                    <div class="col-md-1 col-sm-6 col-xs-12">
                        <a title='View Password' onclick='fn_ViewPassword()'><span class="icon"><img src="~/Image/eye1.png" /></span></a>
                    </div>
                </div>
                <div class="row" style=" margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Can Access")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.DropDownListFor(m => m.t_CanAccess, Model.DdlOrgUserAccess, new { @class = "form-control m_no", required = "required", multiple = "multiple" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Access Role")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.DropDownListFor(m => m.t_AccessRole, Model.DdlAccessRole, "--Select--", new { @class = "form-control m_no", required = "required" })
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                @*<button type="submit" class="btn btn-primary" onclick="return fn_saveUser()">Save</button>*@
                <a class="btn btn-danger" data-dismiss="modal" href="#exampleModalCenter">Close</a>
                <button class="btn btn-primary" onclick="fn_saveUser()">Save</button>
            </div>
        </div>
        @*</form>*@
    </div>
</div>

<div class="modal fade" id="PasswordResetCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered " role="document">
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-2">
                RESET PASSWORD
            </div>
            <div class="modal-body">
                @Html.HiddenFor(m => m.Id)
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("Current Password:")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_CurrentPassword, new { @class = "form-control m_no", disabled = "disabled" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("New Password:")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_ResetPassword, new { @class = "form-control m_no" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("Confirm Password:")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_ConfirmPassword, new { @class = "form-control m_no" })
                    </div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-danger" data-dismiss="modal" href="#PasswordResetCenter">Close</a>
                    <button type="button" class="btn btn-primary" onclick="fn_savePassword()">Save</button>
                </div>
            </div>
        </div>
    </div>
</div>


